* [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/, app-misc/tmux/files/
@ 2016-05-18 13:50 Tobias Klausmann
0 siblings, 0 replies; 9+ messages in thread
From: Tobias Klausmann @ 2016-05-18 13:50 UTC (permalink / raw
To: gentoo-commits
commit: baec651ecb38580f8b39c79b16e4d6a13cdbe061
Author: Tobias Klausmann <klausman <AT> gentoo <DOT> org>
AuthorDate: Wed May 18 13:48:56 2016 +0000
Commit: Tobias Klausmann <klausman <AT> gentoo <DOT> org>
CommitDate: Wed May 18 13:50:02 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=baec651e
app-misc/tmux: Add 2.1-r1 and ship terminfo file.
By default, tmux does not ship its own terminfo file, piggybacking on
screen/screen-256color. Due to bugs in that terminfo file (around stand-out
and italics), the tmux FAQ[0] suggests making a derived terminfo file.
This new release ships that terminfo file (as tmux/tmux-256color). It will not
be used by default, the user has to activate it themselves.
Package-Manager: portage-2.3.0_rc1
app-misc/tmux/files/tmux.terminfo.in | 6 ++
app-misc/tmux/tmux-2.1-r1.ebuild | 103 +++++++++++++++++++++++++++++++++++
2 files changed, 109 insertions(+)
diff --git a/app-misc/tmux/files/tmux.terminfo.in b/app-misc/tmux/files/tmux.terminfo.in
new file mode 100644
index 0000000..d335c47
--- /dev/null
+++ b/app-misc/tmux/files/tmux.terminfo.in
@@ -0,0 +1,6 @@
+tmux|tmux terminal multiplexer,
+ ritm=\E[23m, rmso=\E[27m, sitm=\E[3m, smso=\E[7m, Ms@,
+ use=xterm+tmux, use=screen,
+
+tmux-256color|tmux with 256 colors,
+ use=xterm+256setaf, use=tmux,
diff --git a/app-misc/tmux/tmux-2.1-r1.ebuild b/app-misc/tmux/tmux-2.1-r1.ebuild
new file mode 100644
index 0000000..f448b3a
--- /dev/null
+++ b/app-misc/tmux/tmux-2.1-r1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils bash-completion-r1 flag-o-matic versionator
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="http://tmux.github.io/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug selinux vim-syntax kernel_FreeBSD kernel_linux"
+
+CDEPEND="
+ || (
+ =dev-libs/libevent-2.0*
+ >=dev-libs/libevent-2.1.5-r4
+ )
+ kernel_linux? ( sys-libs/libutempter )
+ kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 sys-libs/libutempter ) )
+ sys-libs/ncurses:0="
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ selinux? ( sec-policy/selinux-screen )
+ vim-syntax? (
+ || (
+ app-editors/vim
+ app-editors/gvim
+ )
+ )"
+
+DOCS=( CHANGES FAQ README TODO )
+
+PATCHES=( "${FILESDIR}"/${PN}-2.0-flags.patch )
+
+src_prepare() {
+ # bug 438558
+ # 1.7 segfaults when entering copy mode if compiled with -Os
+ replace-flags -Os -O2
+
+ # regenerate aclocal.m4 to support earlier automake versions
+ rm aclocal.m4 || die
+
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ --sysconfdir="${EPREFIX}"/etc
+ $(use_enable debug)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ newbashcomp examples/bash_completion_tmux.sh ${PN}
+
+ docinto examples
+ dodoc examples/*.conf
+
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/syntax
+ doins examples/tmux.vim
+
+ insinto /usr/share/vim/vimfiles/ftdetect
+ doins "${FILESDIR}"/tmux.vim
+ fi
+ # Make a tmux{,-256color} terminfo entry. It will not be used unless the
+ # user adds this to their .tmux.conf:
+ #
+ # set-option -g default-terminal "tmux-256color"
+ #
+ # Content of the terminfo entry is from here:
+ # https://github.com/ThomasAdam/tmux/blob/master/FAQ#L355
+ mkdir terminfo/ || die
+ tic -x "${FILESDIR}/tmux.terminfo.in" -o terminfo/ || die
+ insinto /usr/share/terminfo/t
+ doins terminfo/t/tmux
+ doins terminfo/t/tmux-256color
+}
+
+pkg_postinst() {
+ if ! version_is_at_least 1.9a ${REPLACING_VERSIONS:-1.9a}; then
+ echo
+ ewarn "Some configuration options changed in this release."
+ ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
+ ewarn
+ ewarn "WARNING: After updating to ${P} you will _not_ be able to connect to any"
+ ewarn "older, running tmux server instances. You'll have to use an existing client to"
+ ewarn "end your old sessions or kill the old server instances. Otherwise you'll have"
+ ewarn "to temporarily downgrade to access them."
+ echo
+ fi
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/, app-misc/tmux/files/
@ 2017-01-21 17:24 Lars Wendler
0 siblings, 0 replies; 9+ messages in thread
From: Lars Wendler @ 2017-01-21 17:24 UTC (permalink / raw
To: gentoo-commits
commit: 6040e1f56ea5f55bad8f124c104adcaa1b171fa1
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 21 17:23:29 2017 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Jan 21 17:24:11 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6040e1f5
app-misc/tmux: Revbump to fix status-right display (bug #606568).
Package-Manager: Portage-2.3.3, Repoman-2.3.1
.../files/tmux-2.3-screen_write_copy-fix.patch | 63 ++++++++++++++
app-misc/tmux/tmux-2.3-r1.ebuild | 96 ++++++++++++++++++++++
2 files changed, 159 insertions(+)
diff --git a/app-misc/tmux/files/tmux-2.3-screen_write_copy-fix.patch b/app-misc/tmux/files/tmux-2.3-screen_write_copy-fix.patch
new file mode 100644
index 00000000..b838327
--- /dev/null
+++ b/app-misc/tmux/files/tmux-2.3-screen_write_copy-fix.patch
@@ -0,0 +1,63 @@
+From 30086e504c8a5389b96b72b81ac8dbefe19e0cf1 Mon Sep 17 00:00:00 2001
+From: nicm <nicm>
+Date: Wed, 5 Oct 2016 22:00:29 +0000
+Subject: [PATCH] screen_write_copy tried to be clever and clear the line if it
+ reached the end of the source, but it was wrong and causes problems that are
+ only showing up now we are more aggressive about skipping redundant screen
+ updates. Remove the optimization entirely as more trouble than it is worth to
+ fix (and it'll have to go when BCE is done anyway).
+
+---
+ screen-write.c | 34 +++++++---------------------------
+ 1 file changed, 7 insertions(+), 27 deletions(-)
+
+diff --git a/screen-write.c b/screen-write.c
+index 3977517..3a1fc8c 100644
+--- a/screen-write.c
++++ b/screen-write.c
+@@ -394,38 +394,18 @@ screen_write_copy(struct screen_write_ctx *ctx, struct screen *src, u_int px,
+ {
+ struct screen *s = ctx->s;
+ struct grid *gd = src->grid;
+- struct grid_line *gl;
+ struct grid_cell gc;
+- u_int xx, yy, cx, cy, ax, bx;
++ u_int xx, yy, cx, cy;
+
+ cx = s->cx;
+ cy = s->cy;
++
+ for (yy = py; yy < py + ny; yy++) {
+- gl = &gd->linedata[yy];
+- if (yy < gd->hsize + gd->sy) {
+- /*
+- * Find start and end position and copy between
+- * them. Limit to the real end of the line then use a
+- * clear EOL only if copying to the end, otherwise
+- * could overwrite whatever is there already.
+- */
+- if (px > gl->cellsize)
+- ax = gl->cellsize;
+- else
+- ax = px;
+- if (px + nx == gd->sx && px + nx > gl->cellsize)
+- bx = gl->cellsize;
+- else
+- bx = px + nx;
+-
+- for (xx = ax; xx < bx; xx++) {
+- grid_get_cell(gd, xx, yy, &gc);
+- screen_write_cell(ctx, &gc);
+- }
+- if (px + nx == gd->sx && px + nx > gl->cellsize)
+- screen_write_clearendofline(ctx);
+- } else
+- screen_write_clearline(ctx);
++ for (xx = px; xx < px + nx; xx++) {
++ grid_get_cell(gd, xx, yy, &gc);
++ screen_write_cell(ctx, &gc);
++ }
++
+ cy++;
+ screen_write_cursormove(ctx, cx, cy);
+ }
diff --git a/app-misc/tmux/tmux-2.3-r1.ebuild b/app-misc/tmux/tmux-2.3-r1.ebuild
new file mode 100644
index 00000000..bc1dfcd
--- /dev/null
+++ b/app-misc/tmux/tmux-2.3-r1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools flag-o-matic versionator
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="http://tmux.github.io/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
+
+CDEPEND="
+ dev-libs/libevent:0=
+ || (
+ =dev-libs/libevent-2.0*
+ >=dev-libs/libevent-2.1.5-r4
+ )
+ utempter? (
+ kernel_linux? ( sys-libs/libutempter )
+ kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 sys-libs/libutempter ) )
+ )
+ sys-libs/ncurses:0="
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ dev-libs/libevent:=
+ selinux? ( sec-policy/selinux-screen )
+ vim-syntax? (
+ || (
+ app-editors/vim
+ app-editors/gvim
+ )
+ )"
+
+DOCS=( CHANGES FAQ README TODO )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.3-flags.patch
+
+ # usptream fixes (can be removed with next version bump)
+ "${FILESDIR}"/${P}-screen_write_copy-fix.patch
+)
+
+src_prepare() {
+ # bug 438558
+ # 1.7 segfaults when entering copy mode if compiled with -Os
+ replace-flags -Os -O2
+
+ # regenerate aclocal.m4 to support earlier automake versions
+ rm aclocal.m4 || die
+
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --sysconfdir="${EPREFIX}"/etc \
+ $(use_enable debug) \
+ $(use_enable utempter)
+}
+
+src_install() {
+ default
+
+ einstalldocs
+
+ dodoc example_tmux.conf
+ docompress -x /usr/share/doc/${PF}/example_tmux.conf
+
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/ftdetect
+ doins "${FILESDIR}"/tmux.vim
+ fi
+}
+
+pkg_postinst() {
+ if ! version_is_at_least 1.9a ${REPLACING_VERSIONS:-1.9a}; then
+ echo
+ ewarn "Some configuration options changed in this release."
+ ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
+ ewarn
+ ewarn "WARNING: After updating to ${P} you will _not_ be able to connect to any"
+ ewarn "older, running tmux server instances. You'll have to use an existing client to"
+ ewarn "end your old sessions or kill the old server instances. Otherwise you'll have"
+ ewarn "to temporarily downgrade to access them."
+ echo
+ fi
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/, app-misc/tmux/files/
@ 2017-04-20 13:19 Lars Wendler
0 siblings, 0 replies; 9+ messages in thread
From: Lars Wendler @ 2017-04-20 13:19 UTC (permalink / raw
To: gentoo-commits
commit: d0bed5ee460bf9a2c0003d736f33775ed861c9a7
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 20 13:16:22 2017 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Apr 20 13:19:47 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0bed5ee
app-misc/tmux: Bump to version 2.4
Package-Manager: Portage-2.3.5, Repoman-2.3.2
app-misc/tmux/Manifest | 1 +
app-misc/tmux/files/tmux-2.4-flags.patch | 15 +++++
app-misc/tmux/tmux-2.4.ebuild | 96 ++++++++++++++++++++++++++++++++
3 files changed, 112 insertions(+)
diff --git a/app-misc/tmux/Manifest b/app-misc/tmux/Manifest
index 49cdff3da92..4a7ce95f886 100644
--- a/app-misc/tmux/Manifest
+++ b/app-misc/tmux/Manifest
@@ -1,4 +1,5 @@
DIST tmux-2.2.tar.gz 466852 SHA256 bc28541b64f99929fe8e3ae7a02291263f3c97730781201824c0f05d7c8e19e4 SHA512 4d4fc316c78aab0d13f7f15098d952f01d7da7d74d46251ae2dd90440522f07c785afe984d82de2b4518fb67ea441f5a5a46c357c87ddc6ddbfba4b7f08be7bf WHIRLPOOL 2e44582b994f3fe919f4ee7543f25e3fb02cc975d053b0c63bcd858a54fe3125ffe192cf6f8c7ae0345d90e8086d86930d668b29becdb4e0376579ef02e7034f
DIST tmux-2.3.tar.gz 473944 SHA256 55313e132f0f42de7e020bf6323a1939ee02ab79c48634aa07475db41573852b SHA512 521e3734104be43837cba95d8b3d050d033708fa7469f7e7db66ae6993b002c4d9f6bafec41f3c9446eda91a4499e571019534dfa2e5a0563085b2d16e1b94af WHIRLPOOL de482076dfdb15e5ef2dcaebf60e05069bf847a30162a098bf11573f09cc996e35b9ffcd3a2784331b6fc59ae0b9bc58cbe80360a7dd844eb94ff25e546eacf2
+DIST tmux-2.4.tar.gz 470549 SHA256 757d6b13231d0d9dd48404968fc114ac09e005d475705ad0cd4b7166f799b349 SHA512 e9d93f6b8b68dddf05046ef1e1bc8c55a1f2c4bb96f4e12c25c202358b3280b3e14df8818ed449aadc783306b0869e5e7418192f60bb16afebc6b396cb50999c WHIRLPOOL 4a18fed14db7ffa12b82c5333c90f48f406d5337bb7a08be3b91df9ccd444452295f4263ddbb81a94f681ef434d593dd851ccd7d8702c635a3243642a1b1c0c0
DIST tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b 458 SHA256 a0905c595fec7f0258fba5466315d42d67eca3bd2d3b12f4af8936d7f168b6c6 SHA512 fe0aca7d03067af87e0788a2fa902c7ef5500ba72295cb63c5a1814534a008c224256d7f890ac1af6d17f3734b45148765e1632f075e284c453185df2927b979 WHIRLPOOL aa83ea77c084e643f2cbf74ddf10bf6e43304b0a7c1f6af24b153844ad01732af8f45de0d8a39093f11be19ff9af20116f4aa7b9c750f3452525fcd7b31a3d8a
DIST tmux.vim-95f6126c187667cc7f9c573c45c3b356cf69f4ca 5626 SHA256 040cbb7ce19f5a256ae400061d310e0f64f58cbc525402043708b59546af2462 SHA512 956b2c1ca08e3c92aa39c9df54fbe1c661d0e076c91628c4b88f81f97104241b6505412fa0e21a681adc231eb2e6e7feee850474d4277812d186548bbb05f6d1 WHIRLPOOL 3eaa20479fccf7e20dbd7ccb8669bd8c47da90f7218fdb386fcd150c1223cc7300d68f880baa706bbdb7abf54394d44fd80479ba3fae934de9b53f40acc6286a
diff --git a/app-misc/tmux/files/tmux-2.4-flags.patch b/app-misc/tmux/files/tmux-2.4-flags.patch
new file mode 100644
index 00000000000..5ef82a3fd5e
--- /dev/null
+++ b/app-misc/tmux/files/tmux-2.4-flags.patch
@@ -0,0 +1,15 @@
+ Makefile.am | 3 +--
+ 1 file changed, 1 insertion(+), 2 deletions(-)
+--- tmux-2.4/Makefile.am
++++ tmux-2.4/Makefile.am
+@@ -17,9 +17,8 @@
+
+ # Set flags for gcc.
+ if IS_GCC
+-AM_CFLAGS += -std=gnu99 -O2
++AM_CFLAGS += -std=gnu99
+ if IS_DEBUG
+-AM_CFLAGS += -g
+ AM_CFLAGS += -Wno-long-long -Wall -W -Wformat=2
+ AM_CFLAGS += -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations
+ AM_CFLAGS += -Wwrite-strings -Wshadow -Wpointer-arith -Wsign-compare
diff --git a/app-misc/tmux/tmux-2.4.ebuild b/app-misc/tmux/tmux-2.4.ebuild
new file mode 100644
index 00000000000..4d84d63538c
--- /dev/null
+++ b/app-misc/tmux/tmux-2.4.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic versionator
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="http://tmux.github.io/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
+
+CDEPEND="
+ dev-libs/libevent:0=
+ || (
+ =dev-libs/libevent-2.0*
+ >=dev-libs/libevent-2.1.5-r4
+ )
+ utempter? (
+ kernel_linux? ( sys-libs/libutempter )
+ kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 sys-libs/libutempter ) )
+ )
+ sys-libs/ncurses:0="
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ dev-libs/libevent:=
+ selinux? ( sec-policy/selinux-screen )
+ vim-syntax? (
+ || (
+ app-editors/vim
+ app-editors/gvim
+ )
+ )"
+
+DOCS=( CHANGES FAQ README TODO )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.4-flags.patch
+
+ # usptream fixes (can be removed with next version bump)
+)
+
+src_prepare() {
+ # bug 438558
+ # 1.7 segfaults when entering copy mode if compiled with -Os
+ replace-flags -Os -O2
+
+ # regenerate aclocal.m4 to support earlier automake versions
+ rm aclocal.m4 || die
+
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --sysconfdir="${EPREFIX}"/etc
+ $(use_enable debug)
+ $(use_enable utempter)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ einstalldocs
+
+ dodoc example_tmux.conf
+ docompress -x /usr/share/doc/${PF}/example_tmux.conf
+
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/ftdetect
+ doins "${FILESDIR}"/tmux.vim
+ fi
+}
+
+pkg_postinst() {
+ if ! version_is_at_least 1.9a ${REPLACING_VERSIONS:-1.9a}; then
+ echo
+ ewarn "Some configuration options changed in this release."
+ ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
+ ewarn
+ ewarn "WARNING: After updating to ${P} you will _not_ be able to connect to any"
+ ewarn "older, running tmux server instances. You'll have to use an existing client to"
+ ewarn "end your old sessions or kill the old server instances. Otherwise you'll have"
+ ewarn "to temporarily downgrade to access them."
+ echo
+ fi
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/, app-misc/tmux/files/
@ 2019-11-28 9:09 Lars Wendler
0 siblings, 0 replies; 9+ messages in thread
From: Lars Wendler @ 2019-11-28 9:09 UTC (permalink / raw
To: gentoo-commits
commit: e53d3b04c12ae039d5b74bf755635020c61743a7
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 28 08:09:00 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Nov 28 09:09:28 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e53d3b04
app-misc/tmux: Fixed musl build
Package-Manager: Portage-2.3.80, Repoman-2.3.19
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
app-misc/tmux/files/tmux-3.0-musl.patch | 60 +++++++++++++++++++++++++++++++++
app-misc/tmux/tmux-3.0.ebuild | 1 +
2 files changed, 61 insertions(+)
diff --git a/app-misc/tmux/files/tmux-3.0-musl.patch b/app-misc/tmux/files/tmux-3.0-musl.patch
new file mode 100644
index 00000000000..5369fdd78b0
--- /dev/null
+++ b/app-misc/tmux/files/tmux-3.0-musl.patch
@@ -0,0 +1,60 @@
+From eb4d60b1ce0e2dc917bd47b10a3ce89de840448a Mon Sep 17 00:00:00 2001
+From: nicm <nicm>
+Date: Wed, 27 Nov 2019 20:54:30 +0000
+Subject: [PATCH] REG_STARTEND is not portable, but it turns out we don't
+ actually need it. From Evan Green, GitHub issue 1982.
+
+---
+ regsub.c | 24 ++++++++++++------------
+ 1 file changed, 12 insertions(+), 12 deletions(-)
+
+diff --git a/regsub.c b/regsub.c
+index 199b21714..22e236dc7 100644
+--- a/regsub.c
++++ b/regsub.c
+@@ -77,10 +77,7 @@ regsub(const char *pattern, const char *with, const char *text, int flags)
+ end = strlen(text);
+
+ while (start <= end) {
+- m[0].rm_so = start;
+- m[0].rm_eo = end;
+-
+- if (regexec(&r, text, nitems(m), m, REG_STARTEND) != 0) {
++ if (regexec(&r, text + start, nitems(m), m, 0) != 0) {
+ regsub_copy(&buf, &len, text, start, end);
+ break;
+ }
+@@ -89,22 +86,25 @@ regsub(const char *pattern, const char *with, const char *text, int flags)
+ * Append any text not part of this match (from the end of the
+ * last match).
+ */
+- regsub_copy(&buf, &len, text, last, m[0].rm_so);
++ regsub_copy(&buf, &len, text, last, m[0].rm_so + start);
+
+ /*
+ * If the last match was empty and this one isn't (it is either
+ * later or has matched text), expand this match. If it is
+ * empty, move on one character and try again from there.
+ */
+- if (empty || m[0].rm_so != last || m[0].rm_so != m[0].rm_eo) {
+- regsub_expand(&buf, &len, with, text, m, nitems(m));
+-
+- last = m[0].rm_eo;
+- start = m[0].rm_eo;
++ if (empty ||
++ start + m[0].rm_so != last ||
++ m[0].rm_so != m[0].rm_eo) {
++ regsub_expand(&buf, &len, with, text + start, m,
++ nitems(m));
++
++ last = start + m[0].rm_eo;
++ start += m[0].rm_eo;
+ empty = 0;
+ } else {
+- last = m[0].rm_eo;
+- start = m[0].rm_eo + 1;
++ last = start + m[0].rm_eo;
++ start += m[0].rm_eo + 1;
+ empty = 1;
+ }
+
diff --git a/app-misc/tmux/tmux-3.0.ebuild b/app-misc/tmux/tmux-3.0.ebuild
index 350d8121d21..b0b4fb817a7 100644
--- a/app-misc/tmux/tmux-3.0.ebuild
+++ b/app-misc/tmux/tmux-3.0.ebuild
@@ -46,6 +46,7 @@ PATCHES=(
"${FILESDIR}/${PN}-2.4-flags.patch"
# upstream fixes (can be removed with next version bump)
+ "${FILESDIR}/${P}-musl.patch"
)
src_prepare() {
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/, app-misc/tmux/files/
@ 2019-12-01 19:18 Lars Wendler
0 siblings, 0 replies; 9+ messages in thread
From: Lars Wendler @ 2019-12-01 19:18 UTC (permalink / raw
To: gentoo-commits
commit: 34d624d1ab647bfec8d8f6e0b31bf7da54d745db
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 1 19:17:33 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Dec 1 19:18:02 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34d624d1
app-misc/tmux: Bump to version 3.0a. Removed old
Package-Manager: Portage-2.3.80, Repoman-2.3.19
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
app-misc/tmux/Manifest | 2 +-
app-misc/tmux/files/tmux-3.0-musl.patch | 60 ----------------------
.../tmux/{tmux-3.0.ebuild => tmux-3.0a.ebuild} | 3 +-
3 files changed, 2 insertions(+), 63 deletions(-)
diff --git a/app-misc/tmux/Manifest b/app-misc/tmux/Manifest
index 18f3ea23956..4562315a654 100644
--- a/app-misc/tmux/Manifest
+++ b/app-misc/tmux/Manifest
@@ -1,3 +1,3 @@
DIST tmux-2.9a.tar.gz 510915 BLAKE2B 6a3dcdb66419fdd40818c18c3a16adf83fa67b3f5d4cc60953b64d62d2e3e139cad0612eef4233d3d5fa76aaae93e437c8394aa118791c87cb0670f1ddc65eae SHA512 aca6882688727c10c5647443fdd18bbd6c0f80b7a3bf9667903d1b89d523e604cd715f176f33f2e5673258f00e626a6dc273f80fe97ae4f91621814d89985713
-DIST tmux-3.0.tar.gz 546099 BLAKE2B 11a61bb88d2658147ba675cb6e334b90b334125d0fa783dfb1bcd999d1dfc178f30c4bcfb6ad39e67bcdf524caa20b32cb1518f21aed66c0f038341318676a29 SHA512 50fc25f84f04486e9b5dc598b884419d95ef158e9b36d63805db97149811cdfa71f086eafa9610a6a9a3041d1e9eb6d6ccc9277d1926d0e936b0d6a8e1d1cbf8
+DIST tmux-3.0a.tar.gz 546377 BLAKE2B 1e784d98e1f18e7850e92d8d5f849ee1b8bcbf62b9323b6eb4007e038bd84480b3a171c93c88954701487ef228db8717bac886f51dd21efdf2766e676b0c16e3 SHA512 f326ee9c0e5e9a46ce9c99c76407b8cf35feea5f898c3c937fd8c5e488ff9a809272de19226d9d10f864e11051dcf633327820b7f8d86d85962da61174bbfb0b
DIST tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b 458 BLAKE2B 04143e6d1cfbbd467f1656f949363cb7a4a3e16e9b3cf56b8b0423babe56276abee2622964cb490005fc76d1cbe12201fb1a6446a6f860c2cc1ff3c9bd5fc496 SHA512 fe0aca7d03067af87e0788a2fa902c7ef5500ba72295cb63c5a1814534a008c224256d7f890ac1af6d17f3734b45148765e1632f075e284c453185df2927b979
diff --git a/app-misc/tmux/files/tmux-3.0-musl.patch b/app-misc/tmux/files/tmux-3.0-musl.patch
deleted file mode 100644
index 5369fdd78b0..00000000000
--- a/app-misc/tmux/files/tmux-3.0-musl.patch
+++ /dev/null
@@ -1,60 +0,0 @@
-From eb4d60b1ce0e2dc917bd47b10a3ce89de840448a Mon Sep 17 00:00:00 2001
-From: nicm <nicm>
-Date: Wed, 27 Nov 2019 20:54:30 +0000
-Subject: [PATCH] REG_STARTEND is not portable, but it turns out we don't
- actually need it. From Evan Green, GitHub issue 1982.
-
----
- regsub.c | 24 ++++++++++++------------
- 1 file changed, 12 insertions(+), 12 deletions(-)
-
-diff --git a/regsub.c b/regsub.c
-index 199b21714..22e236dc7 100644
---- a/regsub.c
-+++ b/regsub.c
-@@ -77,10 +77,7 @@ regsub(const char *pattern, const char *with, const char *text, int flags)
- end = strlen(text);
-
- while (start <= end) {
-- m[0].rm_so = start;
-- m[0].rm_eo = end;
--
-- if (regexec(&r, text, nitems(m), m, REG_STARTEND) != 0) {
-+ if (regexec(&r, text + start, nitems(m), m, 0) != 0) {
- regsub_copy(&buf, &len, text, start, end);
- break;
- }
-@@ -89,22 +86,25 @@ regsub(const char *pattern, const char *with, const char *text, int flags)
- * Append any text not part of this match (from the end of the
- * last match).
- */
-- regsub_copy(&buf, &len, text, last, m[0].rm_so);
-+ regsub_copy(&buf, &len, text, last, m[0].rm_so + start);
-
- /*
- * If the last match was empty and this one isn't (it is either
- * later or has matched text), expand this match. If it is
- * empty, move on one character and try again from there.
- */
-- if (empty || m[0].rm_so != last || m[0].rm_so != m[0].rm_eo) {
-- regsub_expand(&buf, &len, with, text, m, nitems(m));
--
-- last = m[0].rm_eo;
-- start = m[0].rm_eo;
-+ if (empty ||
-+ start + m[0].rm_so != last ||
-+ m[0].rm_so != m[0].rm_eo) {
-+ regsub_expand(&buf, &len, with, text + start, m,
-+ nitems(m));
-+
-+ last = start + m[0].rm_eo;
-+ start += m[0].rm_eo;
- empty = 0;
- } else {
-- last = m[0].rm_eo;
-- start = m[0].rm_eo + 1;
-+ last = start + m[0].rm_eo;
-+ start += m[0].rm_eo + 1;
- empty = 1;
- }
-
diff --git a/app-misc/tmux/tmux-3.0.ebuild b/app-misc/tmux/tmux-3.0a.ebuild
similarity index 94%
rename from app-misc/tmux/tmux-3.0.ebuild
rename to app-misc/tmux/tmux-3.0a.ebuild
index b0b4fb817a7..2d07251c2cd 100644
--- a/app-misc/tmux/tmux-3.0.ebuild
+++ b/app-misc/tmux/tmux-3.0a.ebuild
@@ -12,7 +12,7 @@ if [[ "${PV}" == 9999 ]] ; then
SRC_URI="https://raw.githubusercontent.com/przepompownia/tmux-bash-completion/678a27616b70c649c6701cae9cd8c92b58cc051b/completions/tmux -> tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b"
EGIT_REPO_URI="https://github.com/tmux/tmux.git"
else
- SRC_URI="https://github.com/tmux/tmux/releases/download/$(ver_cut 1-2)/${P/_/-}.tar.gz"
+ SRC_URI="https://github.com/tmux/tmux/releases/download/${PV}/${P/_/-}.tar.gz"
[[ "${PV}" == *_rc* ]] || \
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
S="${WORKDIR}/${P/_/-}"
@@ -46,7 +46,6 @@ PATCHES=(
"${FILESDIR}/${PN}-2.4-flags.patch"
# upstream fixes (can be removed with next version bump)
- "${FILESDIR}/${P}-musl.patch"
)
src_prepare() {
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/, app-misc/tmux/files/
@ 2021-05-07 11:10 Mikle Kolyada
0 siblings, 0 replies; 9+ messages in thread
From: Mikle Kolyada @ 2021-05-07 11:10 UTC (permalink / raw
To: gentoo-commits
commit: bf51acfab67751f7d5c9e3963f494bd040bf5760
Author: Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Fri May 7 11:08:34 2021 +0000
Commit: Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Fri May 7 11:09:58 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf51acfa
app-misc/tmux: fix shift-f5 keybinding
Closes: https://bugs.gentoo.org/788307
Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>
app-misc/tmux/files/tmux-fix-bindings.patch | 45 ++++++++++++++++++++++
.../tmux/{tmux-3.2.ebuild => tmux-3.2-r1.ebuild} | 1 +
2 files changed, 46 insertions(+)
diff --git a/app-misc/tmux/files/tmux-fix-bindings.patch b/app-misc/tmux/files/tmux-fix-bindings.patch
new file mode 100644
index 00000000000..6436302f055
--- /dev/null
+++ b/app-misc/tmux/files/tmux-fix-bindings.patch
@@ -0,0 +1,45 @@
+From f2951bd4a560692048e68bf29a5b0a288346a7d4 Mon Sep 17 00:00:00 2001
+From: Nicholas Marriott <nicholas.marriott@gmail.com>
+Date: Wed, 5 May 2021 07:23:23 +0100
+Subject: [PATCH] Remove old shift function keys which interfere with xterm
+ keys now. GitHub issue 2696.
+
+---
+ input-keys.c | 24 ------------------------
+ 1 file changed, 24 deletions(-)
+
+diff --git a/input-keys.c b/input-keys.c
+index ffd2201c0..be83600e5 100644
+--- a/input-keys.c
++++ b/input-keys.c
+@@ -94,30 +94,6 @@ static struct input_key_entry input_key_defaults[] = {
+ { .key = KEYC_F12,
+ .data = "\033[24~"
+ },
+- { .key = KEYC_F1|KEYC_SHIFT,
+- .data = "\033[25~"
+- },
+- { .key = KEYC_F2|KEYC_SHIFT,
+- .data = "\033[26~"
+- },
+- { .key = KEYC_F3|KEYC_SHIFT,
+- .data = "\033[28~"
+- },
+- { .key = KEYC_F4|KEYC_SHIFT,
+- .data = "\033[29~"
+- },
+- { .key = KEYC_F5|KEYC_SHIFT,
+- .data = "\033[31~"
+- },
+- { .key = KEYC_F6|KEYC_SHIFT,
+- .data = "\033[32~"
+- },
+- { .key = KEYC_F7|KEYC_SHIFT,
+- .data = "\033[33~"
+- },
+- { .key = KEYC_F8|KEYC_SHIFT,
+- .data = "\033[34~"
+- },
+ { .key = KEYC_IC,
+ .data = "\033[2~"
+ },
diff --git a/app-misc/tmux/tmux-3.2.ebuild b/app-misc/tmux/tmux-3.2-r1.ebuild
similarity index 97%
rename from app-misc/tmux/tmux-3.2.ebuild
rename to app-misc/tmux/tmux-3.2-r1.ebuild
index bbd5c65d455..11298a03e48 100644
--- a/app-misc/tmux/tmux-3.2.ebuild
+++ b/app-misc/tmux/tmux-3.2-r1.ebuild
@@ -42,6 +42,7 @@ DOCS=( CHANGES README )
PATCHES=(
"${FILESDIR}/${PN}-2.4-flags.patch"
+ "${FILESDIR}/${PN}-fix-bindings.patch"
# upstream fixes (can be removed with next version bump)
)
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/, app-misc/tmux/files/
@ 2022-03-22 18:16 Matt Turner
0 siblings, 0 replies; 9+ messages in thread
From: Matt Turner @ 2022-03-22 18:16 UTC (permalink / raw
To: gentoo-commits
commit: 326082ed7b1ff11df336794facf472191101d0cd
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 22 18:15:20 2022 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Mar 22 18:16:16 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=326082ed
app-misc/tmux: Add patch to fix cross compiling
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
...3.2a-Fix-crosscompiling-Marco-A-L-Barbosa.patch | 24 ++++++++++++++++++++++
app-misc/tmux/tmux-3.2a.ebuild | 1 +
2 files changed, 25 insertions(+)
diff --git a/app-misc/tmux/files/tmux-3.2a-Fix-crosscompiling-Marco-A-L-Barbosa.patch b/app-misc/tmux/files/tmux-3.2a-Fix-crosscompiling-Marco-A-L-Barbosa.patch
new file mode 100644
index 000000000000..331ffd7b6eb9
--- /dev/null
+++ b/app-misc/tmux/files/tmux-3.2a-Fix-crosscompiling-Marco-A-L-Barbosa.patch
@@ -0,0 +1,24 @@
+From b1a8c0fe022e99cffb0fb4f321740464f35bc6b9 Mon Sep 17 00:00:00 2001
+From: Nicholas Marriott <nicholas.marriott@gmail.com>
+Date: Tue, 22 Jun 2021 12:16:48 +0100
+Subject: [PATCH] Fix crosscompiling, Marco A L Barbosa.
+
+---
+ configure.ac | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/configure.ac b/configure.ac
+index f6bdd3c7..30b4d370 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -160,6 +160,7 @@ AC_RUN_IFELSE([AC_LANG_PROGRAM(
+ [return (strtonum("0", 0, 1, NULL) == 0 ? 0 : 1);]
+ )],
+ [AC_DEFINE(HAVE_STRTONUM) AC_MSG_RESULT(yes)],
++ [AC_LIBOBJ(strtonum) AC_MSG_RESULT(no)],
+ [AC_LIBOBJ(strtonum) AC_MSG_RESULT(no)]
+ )
+
+--
+2.34.1
+
diff --git a/app-misc/tmux/tmux-3.2a.ebuild b/app-misc/tmux/tmux-3.2a.ebuild
index 5e9de30cf012..dc9fe95fd7e4 100644
--- a/app-misc/tmux/tmux-3.2a.ebuild
+++ b/app-misc/tmux/tmux-3.2a.ebuild
@@ -44,6 +44,7 @@ PATCHES=(
"${FILESDIR}/${PN}-2.4-flags.patch"
# upstream fixes (can be removed with next version bump)
+ "${FILESDIR}"/${P}-Fix-crosscompiling-Marco-A-L-Barbosa.patch
)
src_prepare() {
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/, app-misc/tmux/files/
@ 2022-08-17 16:21 Matt Turner
0 siblings, 0 replies; 9+ messages in thread
From: Matt Turner @ 2022-08-17 16:21 UTC (permalink / raw
To: gentoo-commits
commit: 07620dbe247a8c83061566af7e43b6174e5885dc
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 17 13:45:49 2022 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Aug 17 16:21:05 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07620dbe
app-misc/tmux: Drop old versions
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
app-misc/tmux/Manifest | 2 -
...3.2a-Fix-crosscompiling-Marco-A-L-Barbosa.patch | 24 -------
app-misc/tmux/tmux-3.1c.ebuild | 74 ---------------------
app-misc/tmux/tmux-3.2a.ebuild | 75 ----------------------
4 files changed, 175 deletions(-)
diff --git a/app-misc/tmux/Manifest b/app-misc/tmux/Manifest
index 58ac4492cff7..14ac703bc5f5 100644
--- a/app-misc/tmux/Manifest
+++ b/app-misc/tmux/Manifest
@@ -1,4 +1,2 @@
-DIST tmux-3.1c.tar.gz 561323 BLAKE2B c6f688a854e128acffa140321a5dd00e4ca090ff79c7cbff15febbca6da9f7626c675fe1820b344637ff0fbe94ae6d0da7f111880ce5d74f97c4b6a90ceef802 SHA512 aad2e6457dd350369f245f711f1936a575d0588b72e660d10e7abc7d373da0d322903b451ad00b96a3e0e6847ca855673da6a4c5447cea91fa756edd23659397
-DIST tmux-3.2a.tar.gz 648394 BLAKE2B 94527d4d1016caddab170b5bbfd181514768474898314241fb65a53a1f5ae94863bacedf90a7543690c115d15295960dfab4d5ba2ce31cd105585a73fb9b82d1 SHA512 6e52c7f5d03b2c8b8c4c8caac092a166956ba97334b426f2823d74dc5849a1d31a80145924f641f69dd2c244809e9350d9bd7070897fa2e3e1f9f086f9b2f365
DIST tmux-3.3a.tar.gz 677448 BLAKE2B e835ce0f136175521035a684419f221864edb0a9506d7d68cbc0239b1349e78949ebd96573a9d8651a2df6d99acb433075d6e0c20d7394a53fe6b44bd9e56069 SHA512 29a846df7d93601c42a22f84f606931dc65da1f70b67d351d0425f77ea3affe3e8218b2940d42cd3dadf3cd1aa95032daad3ecb14fbff0f69939d1beae0498c7
DIST tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b 458 BLAKE2B 04143e6d1cfbbd467f1656f949363cb7a4a3e16e9b3cf56b8b0423babe56276abee2622964cb490005fc76d1cbe12201fb1a6446a6f860c2cc1ff3c9bd5fc496 SHA512 fe0aca7d03067af87e0788a2fa902c7ef5500ba72295cb63c5a1814534a008c224256d7f890ac1af6d17f3734b45148765e1632f075e284c453185df2927b979
diff --git a/app-misc/tmux/files/tmux-3.2a-Fix-crosscompiling-Marco-A-L-Barbosa.patch b/app-misc/tmux/files/tmux-3.2a-Fix-crosscompiling-Marco-A-L-Barbosa.patch
deleted file mode 100644
index 331ffd7b6eb9..000000000000
--- a/app-misc/tmux/files/tmux-3.2a-Fix-crosscompiling-Marco-A-L-Barbosa.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-From b1a8c0fe022e99cffb0fb4f321740464f35bc6b9 Mon Sep 17 00:00:00 2001
-From: Nicholas Marriott <nicholas.marriott@gmail.com>
-Date: Tue, 22 Jun 2021 12:16:48 +0100
-Subject: [PATCH] Fix crosscompiling, Marco A L Barbosa.
-
----
- configure.ac | 1 +
- 1 file changed, 1 insertion(+)
-
-diff --git a/configure.ac b/configure.ac
-index f6bdd3c7..30b4d370 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -160,6 +160,7 @@ AC_RUN_IFELSE([AC_LANG_PROGRAM(
- [return (strtonum("0", 0, 1, NULL) == 0 ? 0 : 1);]
- )],
- [AC_DEFINE(HAVE_STRTONUM) AC_MSG_RESULT(yes)],
-+ [AC_LIBOBJ(strtonum) AC_MSG_RESULT(no)],
- [AC_LIBOBJ(strtonum) AC_MSG_RESULT(no)]
- )
-
---
-2.34.1
-
diff --git a/app-misc/tmux/tmux-3.1c.ebuild b/app-misc/tmux/tmux-3.1c.ebuild
deleted file mode 100644
index 6e46747b16c8..000000000000
--- a/app-misc/tmux/tmux-3.1c.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools flag-o-matic
-
-DESCRIPTION="Terminal multiplexer"
-HOMEPAGE="https://tmux.github.io/"
-if [[ "${PV}" == 9999 ]] ; then
- inherit git-r3
- SRC_URI="https://raw.githubusercontent.com/przepompownia/tmux-bash-completion/678a27616b70c649c6701cae9cd8c92b58cc051b/completions/tmux -> tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b"
- EGIT_REPO_URI="https://github.com/tmux/tmux.git"
-else
- SRC_URI="https://github.com/tmux/tmux/releases/download/${PV}/${P/_/-}.tar.gz"
- [[ "${PV}" == *_rc* ]] || \
- KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
- S="${WORKDIR}/${P/_/-}"
-fi
-
-LICENSE="ISC"
-SLOT="0"
-IUSE="debug selinux utempter vim-syntax"
-
-DEPEND="
- dev-libs/libevent:0=
- sys-libs/ncurses:0=
- utempter? ( sys-libs/libutempter )
-"
-
-BDEPEND="
- virtual/pkgconfig
- virtual/yacc
-"
-
-RDEPEND="
- ${DEPEND}
- selinux? ( sec-policy/selinux-screen )
- vim-syntax? ( app-vim/vim-tmux )"
-
-DOCS=( CHANGES README )
-
-PATCHES=(
- "${FILESDIR}/${PN}-2.4-flags.patch"
-
- # upstream fixes (can be removed with next version bump)
-)
-
-src_prepare() {
- # bug 438558
- # 1.7 segfaults when entering copy mode if compiled with -Os
- replace-flags -Os -O2
-
- default
- eautoreconf
-}
-
-src_configure() {
- local myeconfargs=(
- --sysconfdir="${EPREFIX}"/etc
- $(use_enable debug)
- $(use_enable utempter)
- )
- econf "${myeconfargs[@]}"
-}
-
-src_install() {
- default
-
- einstalldocs
-
- dodoc example_tmux.conf
- docompress -x /usr/share/doc/${PF}/example_tmux.conf
-}
diff --git a/app-misc/tmux/tmux-3.2a.ebuild b/app-misc/tmux/tmux-3.2a.ebuild
deleted file mode 100644
index 06f3fa9699bd..000000000000
--- a/app-misc/tmux/tmux-3.2a.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools flag-o-matic
-
-DESCRIPTION="Terminal multiplexer"
-HOMEPAGE="https://tmux.github.io/"
-if [[ "${PV}" == 9999 ]] ; then
- inherit git-r3
- SRC_URI="https://raw.githubusercontent.com/przepompownia/tmux-bash-completion/678a27616b70c649c6701cae9cd8c92b58cc051b/completions/tmux -> tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b"
- EGIT_REPO_URI="https://github.com/tmux/tmux.git"
-else
- SRC_URI="https://github.com/tmux/tmux/releases/download/${PV}/${P/_/-}.tar.gz"
- [[ "${PV}" == *_rc* ]] || \
- KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
- S="${WORKDIR}/${P/_/-}"
-fi
-
-LICENSE="ISC"
-SLOT="0"
-IUSE="debug selinux utempter vim-syntax"
-
-DEPEND="
- dev-libs/libevent:0=
- sys-libs/ncurses:0=
- utempter? ( sys-libs/libutempter )
-"
-
-BDEPEND="
- virtual/pkgconfig
- virtual/yacc
-"
-
-RDEPEND="
- ${DEPEND}
- selinux? ( sec-policy/selinux-screen )
- vim-syntax? ( app-vim/vim-tmux )"
-
-DOCS=( CHANGES README )
-
-PATCHES=(
- "${FILESDIR}/${PN}-2.4-flags.patch"
-
- # upstream fixes (can be removed with next version bump)
- "${FILESDIR}"/${P}-Fix-crosscompiling-Marco-A-L-Barbosa.patch
-)
-
-src_prepare() {
- # bug 438558
- # 1.7 segfaults when entering copy mode if compiled with -Os
- replace-flags -Os -O2
-
- default
- eautoreconf
-}
-
-src_configure() {
- local myeconfargs=(
- --sysconfdir="${EPREFIX}"/etc
- $(use_enable debug)
- $(use_enable utempter)
- )
- econf "${myeconfargs[@]}"
-}
-
-src_install() {
- default
-
- einstalldocs
-
- dodoc example_tmux.conf
- docompress -x /usr/share/doc/${PF}/example_tmux.conf
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/, app-misc/tmux/files/
@ 2022-09-22 3:04 Sam James
0 siblings, 0 replies; 9+ messages in thread
From: Sam James @ 2022-09-22 3:04 UTC (permalink / raw
To: gentoo-commits
commit: 29df23ad4410881b5233a0c2ce31f2bd75238ef6
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 22 02:57:08 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Sep 22 02:57:16 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29df23ad
app-misc/tmux: backport Clang fixes
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-misc/tmux/files/tmux-3.3a-clang.patch | 59 ++++++++++++++++++++++
app-misc/tmux/tmux-3.3a-r1.ebuild | 84 +++++++++++++++++++++++++++++++
2 files changed, 143 insertions(+)
diff --git a/app-misc/tmux/files/tmux-3.3a-clang.patch b/app-misc/tmux/files/tmux-3.3a-clang.patch
new file mode 100644
index 000000000000..e292e698f310
--- /dev/null
+++ b/app-misc/tmux/files/tmux-3.3a-clang.patch
@@ -0,0 +1,59 @@
+https://github.com/tmux/tmux/pull/3332
+
+From 1b4c87de0249242309f10684761698aa880b80a5 Mon Sep 17 00:00:00 2001
+From: Marvin Schmidt <marv@exherbo.org>
+Date: Tue, 13 Sep 2022 03:25:00 +0200
+Subject: [PATCH 1/2] compat/systemd: Include <string.h> for strerror
+
+Recent compilers are getting stricter about function declarations being
+known during compilation and e.g. clang-15 now errors out if a function
+signature is not found:
+
+> compat/systemd.c:56:49: error: call to undeclared library function 'strerror' with type 'char *(int)'; ISO C99 and
+> later do not support implicit function declarations [-Wimplicit-function-declaration]
+> xasprintf(cause, "systemd socket error (%s)", strerror(errno));
+> ^
+> compat/systemd.c:56:49: note: include the header <string.h> or explicitly provide a declaration for 'strerror'
+> 1 warning and 1 error generated.
+
+Provide the declaration of `strerror` by including `<string.h>` to fix
+this
+--- a/compat/systemd.c
++++ b/compat/systemd.c
+@@ -16,6 +16,7 @@
+ * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
++#include <string.h>
+ #include <sys/types.h>
+ #include <sys/un.h>
+
+
+From 1e7ef02c52f2f8a67ab05d8a1c3fec9f4ccb7ea0 Mon Sep 17 00:00:00 2001
+From: Marvin Schmidt <marv@exherbo.org>
+Date: Tue, 13 Sep 2022 03:34:01 +0200
+Subject: [PATCH 2/2] compat/systemd: Use socklen_t instead of int to fix
+ warning
+
+clang-15 warns about the pointer passed to `getsockname()` being of
+different signedness then the parameter declaration:
+
+> compat/systemd.c:46:47: warning: passing 'int *' to parameter of type 'socklen_t *' (aka 'unsigned int *')
+> converts between pointers to integer types with different sign [-Wpointer-sign]
+> if (getsockname(fd, (struct sockaddr *)&sa, &addrlen) == -1)
+> ^~~~~~~~
+> /usr/x86_64-pc-linux-musl/include/sys/socket.h:391:73: note: passing argument to parameter here
+> int getsockname (int, struct sockaddr *__restrict, socklen_t *__restrict);
+> ^
+--- a/compat/systemd.c
++++ b/compat/systemd.c
+@@ -30,7 +30,7 @@ systemd_create_socket(int flags, char **cause)
+ int fds;
+ int fd;
+ struct sockaddr_un sa;
+- int addrlen = sizeof sa;
++ socklen_t addrlen = sizeof sa;
+
+ fds = sd_listen_fds(0);
+ if (fds > 1) { /* too many file descriptors */
+
diff --git a/app-misc/tmux/tmux-3.3a-r1.ebuild b/app-misc/tmux/tmux-3.3a-r1.ebuild
new file mode 100644
index 000000000000..551fa7c7e57d
--- /dev/null
+++ b/app-misc/tmux/tmux-3.3a-r1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="https://tmux.github.io/"
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ SRC_URI="https://raw.githubusercontent.com/przepompownia/tmux-bash-completion/678a27616b70c649c6701cae9cd8c92b58cc051b/completions/tmux -> tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b"
+ EGIT_REPO_URI="https://github.com/tmux/tmux.git"
+else
+ SRC_URI="https://github.com/tmux/tmux/releases/download/${PV}/${P/_/-}.tar.gz"
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+ fi
+ S="${WORKDIR}/${P/_/-}"
+fi
+
+LICENSE="ISC"
+SLOT="0"
+IUSE="debug selinux systemd utempter vim-syntax"
+
+DEPEND="
+ dev-libs/libevent:=
+ sys-libs/ncurses:=
+ systemd? ( sys-apps/systemd:= )
+ utempter? ( sys-libs/libutempter )
+ kernel_Darwin? ( dev-libs/libutf8proc:= )
+"
+
+BDEPEND="
+ virtual/pkgconfig
+ virtual/yacc
+"
+
+RDEPEND="
+ ${DEPEND}
+ selinux? ( sec-policy/selinux-screen )
+ vim-syntax? ( app-vim/vim-tmux )
+"
+
+DOCS=( CHANGES README )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.4-flags.patch
+ "${FILESDIR}"/${P}-clang.patch
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # bug 438558
+ # 1.7 segfaults when entering copy mode if compiled with -Os
+ replace-flags -Os -O2
+
+ local myeconfargs=(
+ --sysconfdir="${EPREFIX}"/etc
+ $(use_enable debug)
+ $(use_enable systemd)
+ $(use_enable utempter)
+
+ # For now, we only expose this for macOS, because
+ # upstream strongly encourage it. I'm not sure it's
+ # needed on Linux right now.
+ $(use_enable kernel_Darwin utf8proc)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ einstalldocs
+
+ dodoc example_tmux.conf
+ docompress -x /usr/share/doc/${PF}/example_tmux.conf
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
end of thread, other threads:[~2022-09-22 3:04 UTC | newest]
Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-05-07 11:10 [gentoo-commits] repo/gentoo:master commit in: app-misc/tmux/, app-misc/tmux/files/ Mikle Kolyada
-- strict thread matches above, loose matches on Subject: below --
2022-09-22 3:04 Sam James
2022-08-17 16:21 Matt Turner
2022-03-22 18:16 Matt Turner
2019-12-01 19:18 Lars Wendler
2019-11-28 9:09 Lars Wendler
2017-04-20 13:19 Lars Wendler
2017-01-21 17:24 Lars Wendler
2016-05-18 13:50 Tobias Klausmann
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox